Subject: bug#50870: closed (Re: bug#50871: Stackage importer change breaks tests/lint, build)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Sep 2021 20:34:02 +0000

Your bug report

#50871: Stackage importer change breaks tests/lint, build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50871: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50871
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50871: Stackage importer change breaks tests/lint, build
From: Tobias Geerinckx-Rice <[email-masked]>
To: Xinglu Chen <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Sep 2021 22:29:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Xinglu,

Xinglu Chen 写道：
> On Tue, Sep 28 2021, Tobias Geerinckx-Rice via Bug reports for 
> GNU Guix wrote:
>
>> Guix,

Oops, sorry for forgetting to address you…

>> Guix doesn't currently build because of a ‘lint’ test failure 
>> (log 
>> attached).  Reverting commit 
>> 9c5e5ca1c0de56a0d5b2b924de10548172095b58 makes it pass.
>
> Thanks for catching this!  The attached patch should fix this.

It did!  Thanks for the prompt fix, which I've now pushed as 
50d24214191abefc6b8f6c881f9a91c1f818a650.

…aand closing,

T G-R

Subject: failed build
From: Daniel Herzig <[email-masked]>
To: [email-masked]
Date: Tue, 28 Sep 2021 17:35:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix-Maintainers,

first of all -- thanks for putting that much work into guix! For the 
past 3 years it has been my libre-distro of choice at home.  At work I 
don't have it on production machines yet, but that's mainly because I'm 
serving Debian-Jupyterhubs in our lab -- and haven't gotten the hubs 
working on Guix due to it's rather hefty npm-global and conda (nice for 
the end-user) dependencies. But that's work in progress.

Right now I just tried to build guix on a guix-vm, but the 'make check' 
fails at lint.scm -- attached you find the build-log. The main reason 
for my build-attempt is to have nicer integration, once I got jupyterhub 
going, and to get some training on 'pre-install-env'.

Best,
Daniel